<?xml version="1.0" encoding="utf-8" ?>
<configuration>
  <configSections>
    <section name="log4net" type="log4net.Config.Log4NetConfigurationSectionHandler,log4net" />
  </configSections>
  <log4net>
    <root>
      <level value="Debug" />
      <appender-ref ref="all" />
    </root>

    <appender name="all" type="log4net.Appender.RollingFileAppender">
      <param name="File" value="mylog/log_all.txt" />
      <param name="AppendToFile" value="true" />
      <param name="MaxSizeRollBackups" value="1000" />
      <param name="MaximumFileSize" value="10MB" />
      <param name="CountDirection" value="1"/>
      <param name="RollingStyle" value="Composite" />
      <lockingModel type="log4net.Appender.FileAppender+MinimalLock" />
      <layout type="log4net.Layout.PatternLayout">
        <param name="ConversionPattern" value="%d{yyyy-MM-dd HH:mm:ss,fff}[%t] %-5p [%c] - %m%n" />
      </layout>
    </appender>

  </log4net>
</configuration>